<?php
interface PaymentInterface {
    public function initialize($data);
    public function verify($reference);
    public function refund($reference, $amount);
    public function getTransaction($reference);
}